//www.iucrm.cn app
document.addEventListener('deviceready', onDeviceReady, false);
var appSource=1;
function onDeviceReady() {	
	//console.log('Running cordova-' + cordova.platformId + '@' + cordova.version);
	//console.log("AppVersion:"+AppVersion.version+"  AppBuiltCode:"+AppVersion.build);
	//首次安装生成设备id，不再使用插件收集设备信息
	if(!window.localStorage.getItem("uuid") )  {
			var uuid=makeUid();
			window.localStorage.setItem("uuid",uuid);
	}
	
	//每次启动app时执行版本检查
	checkVersion();
	//每次启动app：更新登录记录
	var userid=window.sessionStorage.getItem("userid");
	if(userid) saveLogin();	
	//执行用户到期提示(每天提醒一次)
	if(userid)	setTimeout(function () {
		showUsertips();
	}, 2000);
}
 //更新登录时间和版本信息
function saveLogin(){
	var uuid=window.localStorage.getItem("uuid");
	var userid=window.sessionStorage.getItem("userid");
	var saveLogin=window.sessionStorage.getItem("saveLogin");
	if(saveLogin) return;
	if(uuid) {
		window.sessionStorage.setItem("saveLogin",true);
		var ua=navigator.userAgent;
		$.ajax({
			type:"POST",
			url: 'http://www.iucrm.cn/ucenter/saveLogin.php',
			data: {
				userid: userid,	uuid: uuid,	appversion: AppVersion.version,appsrc:appSource,ua:ua
			},
			success: function (msg) {
				//window.sessionStorage.setItem("saveLogin",true);
			}
		});
	}
}

 //显示用户提示信息
function showUsertips(){
	var userid=window.sessionStorage.getItem("userid");
	var sessid=window.sessionStorage.getItem("sessid");
	var userTips=window.sessionStorage.getItem("userTips")
	var today=getToday();
	var lastLogin=window.localStorage.getItem("lastLogin");
	if(lastLogin==today) return;
	if(userTips) return;
	if(userid) {
		$.ajax({
			type:"POST",
			url: 'http://www.iucrm.cn/ucenter/showUsertips.php',
			data: {sessid:sessid,userid: userid},
			success: function (msg) {
				if(msg) {
					window.plugins.toast.showLongCenter(msg);  
				}
				window.localStorage.setItem("lastLogin",today);
				window.sessionStorage.setItem("userTips",true);
			}
		});
	}
}

//版本检查对比（每次启动app检查一次）
//arbitary 为强制更新的版本列表 形式为：0,1,3
function checkVersion() {
	 var verCheck=window.sessionStorage.getItem("verCheck");
	 if(verCheck) return;
	window.sessionStorage.setItem("verCheck",true);
	$.ajax({
		type:"POST",
		url:"http://www.iucrm.cn/ucenter/getVersion.php",
		dataType:"xml",
		success: function (xml) {
			var versionbuild=$(xml).find("version").text();
			var arbitary=$(xml).find("arbitary").text();
			var version=$(xml).find("name").text();
			var remark=$(xml).find("remark").text();
			if(versionbuild>AppVersion.build) {
				if(arbitary.indexOf(appSource)!=-1)	 autoUpdate();
				else {
					window.sessionStorage.setItem("haveNewVersion",true);  
					window.plugins.toast.showShortCenter("发现新版本-"+version+"，"+remark );  
				}
			}
		}
	});
}
//版本强制更新
function autoUpdate() {
    var updateUrl =  "http://www.iucrm.cn/ucenter/version.xml";
    window.AppUpdate.checkAppUpdate(onSuccess, onFail, updateUrl);
    function onFail() {}
    function onSuccess() {
    	window.sessionStorage.removeItem("haveNewVersion");  
    } 
}
function checkAppUpdate() {
    var updateUrl =  "http://www.iucrm.cn/ucenter/version.xml";
    window.AppUpdate.checkAppUpdate(onSuccess, onFail, updateUrl);
    function onFail() {
    	//console.log('fail', JSON.stringify(arguments), arguments);
    }
    function onSuccess() {
    	window.sessionStorage.removeItem("haveNewVersion");  
        var checkcode= arguments[0]['code'];
        if(checkcode=='202') window.plugins.toast.showShortCenter('您使用的已经是最新版本了 - '+AppVersion.version);  
    } 
}
function makeUid() {
	var time=new Date().getTime();
	var uuid= 'xxxxxxxx-yxxy'.replace(/[xy]/g, function (c) {
        var r = Math.random() * 16 | 0,
         v = c == 'x' ? r : (r & 0x3 | 0x8);
        return v.toString(16);
    });
    uuid=uuid+"-"+time;
    return uuid;
}